'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.REMOVE_ALL_NOTIFICATIONS = exports.NOTIFICATION_TYPE_WARNING = exports.NOTIFICATION_TYPE_SUCCESS = exports.NOTIFICATION_TYPE_INFO = exports.NOTIFICATION_TYPE_ERROR = exports.notifyReducer = exports.notificationEpic = exports.newNotification = undefined;

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _ICONS;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactReduxNotify = require('react-redux-notify');

var _reactReduxNotify2 = _interopRequireDefault(_reactReduxNotify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Icons are imported via link tag in the entry index.html
// <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
var ICONS = (_ICONS = {}, (0, _defineProperty3.default)(_ICONS, _reactReduxNotify.NOTIFICATION_TYPE_ERROR, _react2.default.createElement(
    'i',
    { className: 'material-icons' },
    'error'
)), (0, _defineProperty3.default)(_ICONS, _reactReduxNotify.NOTIFICATION_TYPE_INFO, _react2.default.createElement(
    'i',
    { className: 'material-icons' },
    'info'
)), (0, _defineProperty3.default)(_ICONS, _reactReduxNotify.NOTIFICATION_TYPE_SUCCESS, _react2.default.createElement(
    'i',
    { className: 'material-icons' },
    'thumb_up'
)), (0, _defineProperty3.default)(_ICONS, _reactReduxNotify.NOTIFICATION_TYPE_WARNING, _react2.default.createElement(
    'i',
    { className: 'material-icons' },
    'warning'
)), _ICONS);

var NEW_NOTIFICATION = 'NEW_NOTIFICATION';

var newNotification = function newNotification(notifyType, message) {
    return {
        type: NEW_NOTIFICATION,
        payload: {
            type: notifyType,
            message: message
        }
    };
};

var notificationEpic = function notificationEpic(action$) {
    return action$.ofType(NEW_NOTIFICATION).map(function (action) {
        return (0, _reactReduxNotify.createNotification)({
            message: action.payload.message,
            type: action.payload.type,
            icon: ICONS[action.payload.type],
            canDismiss: true,
            duration: action.payload.type === _reactReduxNotify.NOTIFICATION_TYPE_ERROR ? 0 : 5000
        });
    });
};

exports.newNotification = newNotification;
exports.notificationEpic = notificationEpic;
exports.notifyReducer = _reactReduxNotify2.default;
exports.NOTIFICATION_TYPE_ERROR = _reactReduxNotify.NOTIFICATION_TYPE_ERROR;
exports.NOTIFICATION_TYPE_INFO = _reactReduxNotify.NOTIFICATION_TYPE_INFO;
exports.NOTIFICATION_TYPE_SUCCESS = _reactReduxNotify.NOTIFICATION_TYPE_SUCCESS;
exports.NOTIFICATION_TYPE_WARNING = _reactReduxNotify.NOTIFICATION_TYPE_WARNING;
exports.REMOVE_ALL_NOTIFICATIONS = _reactReduxNotify.REMOVE_ALL_NOTIFICATIONS;